+ Start a Discussion
tomcollinstomcollins 

Force.com IDE install fails -- shows "Eclipse Provisioning" window on launch

I've tried to install the Force.com IDE on my Windows 7 32-bit laptop.  I have other eclipse-based IDEs installed and working fine on this machine.

 

After the install, the installer launches the IDE, but the window is titled "Eclipse Provisioning" and the install seems incomplete.  The Window menu just has a Preferences option, so I cannot switch to the Force.com Perspective.  The bottom of the window includes tabs for "Apex Test Runner" and "Execute Anonymous" that look like they're Force.com related, but I can't seem to do much else.

 

Has anyone else run into this problem?

 

-Tom

mambafiebermambafieber

I have the same issue here. I also tried installing as an admin, didn't help either. I am now trying to install the plugin for eclipse 3.6...

KVaishnaKVaishna

Please let me know if you havefound  any solution to this? I'm also facing the same issue..!!

tomcollinstomcollins

I ultimately gave up on the standalone installer.  I just installed Eclipse 3.6 and used the Force.com IDE plugin, using Salesforce's documentation on how to do so.

KVaishnaKVaishna

Thanks Tom. Yes I did the same.

 

It works well on 64-bit Windows platform but not on 32-bit Windows..!!

mambafiebermambafieber

Me 2 - never tried the IDE after I successfully installed Eclipse and Force.com plugin.

Srikanth61Srikanth61

Hello, 

 

I'm facing the same problem today, Do you remember which version of Eclipse 3.6 did you download ? Please help.

 

Thanks.

Srikanth

tomcollinstomcollins

eclipse-java-helios-SR2-win32.zip

 

Working fine in 32-bit Windows 7.

 

mambafiebermambafieber

Me2

Simon FSimon F

The Force.com IDE and Eclipse plug-in are incompatible with the latest version of Java. Salesforce have just recently released a new version of the plug-in which will hopefully resolve the issue, I’ve not tried the new version yet.

 

The Force.com IDE that is available for download on the Salesforce page over the last few weeks appears to be faulty.

 

To resolve the problems with the Force.com IDE :-

  1. Roll back the JRE version to 1.6.0_35.
  2. Roll back the JDK version to Java 6.
  3. Download the Eclipse version from the link on the Developer Force page.

I found rolling back the version of Java is fine on a PC but problematic on OSX as the ownership of the Java Runtime moved from Apple to Oracle between the versions. The Java Runtime used to be supplied via the Apple software update / app store but is now downloaded from Oracle.

 

You need Eclipse 3.7 for Heroku and Eclipse 3.6 for Force.com.

 

Our Technical Manager at Salesforce has been looking into this and has passed the issue on to the relevant area at Salesforce so I presume a fix is on the way.

 

If anyone has tried the new version of the Eclipse plug-in I’d appreciate it if you could post up if it resolves the issue.

 

Good luck.

 

Simon

ProlayProlay

I am also facing the same issue.

Simon FSimon F

Good news.

 

The Tooling API is being released shortly. Following this Salesforce are due to release a new version of the Eclipse plugin / Force.com IDE that will resolve these issues and improve functionality such as code completion.

 

http://blogs.developerforce.com/developer-relations/2013/01/new-in-spring-13-the-tooling-api.html

 

Regards

Simon